<?php

    // Headers:

    header('Access-Control-Allow-Origin: *');
    header('Content-Type: application/json');

    include_once '../../config/Database.php';
    include_once '../../models/Inventario.php';

    // Conectarse a la base de datos:

    $database = new Database();
    $db = $database->connect();

    // Crear instancia de inventario para obtener productos y comerciantes:

    $inventario = new Inventario($db);

    // Obtener datos del inventario:

    $datos = $inventario->read();

    // Contar filas de datos obtenidos:

    $num = $datos->rowCount();

    // Si la tabla solicitada no está vacía...

    if ($num > 0) {

      // Crear arreglo de datos:

      $inventario_arr = array();
      $inventario_arr['datos'] = array();

      while($row = $datos->fetch(PDO::FETCH_ASSOC)) {
        extract($row);

        $producto = array(
          'producto' => $nom_producto,
          'comerciante' => $nom_comerciante
        );

        array_push($inventario_arr['datos'], $producto);
      }

      // Convertir a JSON y desplegar:

      echo \json_enconde($inventario_arr);

    } else {
      echo \json_enconde(array('message' => 'No hay productos disponibles.'));
    }

?>
