<!--
Conexión de API a base de datos de Proyecto Raíces: Database.php
- Autor:            Miguel E. Cruz Molina
- # de estudiante:  801-16-1956
- Curso y sección:  CCOM 4027-002
- Intructor:        Prof. Carlos J. Corrada Bravo
- Fecha de última edición: 10/04/2021

Resumen: Este archivo de PHP contiene los datos pertinentes a la
  conexión entre la base de datos del Proyecto Raíces y las páginas
  de la aplicación móvil, y realiza directamente dicha conexión
  usando esos datos. La conexión resultante se importa de manera
  separada a cada uno de los demás archivos de PHP relevantes.
-->

<?php

    class Database {

    // Datos necesarios para la conexión: nombre de usuario,
    //   servidor, contraseña y nombre de la base de datos:

    private $db_username = 'raicesprcp_wp570'; // '';
    private $db_hostname = 'raicespr.org:2083/cpsess9170450100/3rdparty'; // 'localhost';
    private $db_password = '0pv5(58.SO'; // '';
    private $db_database = 'raicesprcp_wp57'; // 'raices';

    private $conn;

    // Tratar de establecer la conexión. Si sucede un error,
    //   desplegar mensaje correspondiente:

    public function connect() {

      $this->conn = null;

      try
      {
        $this->conn = new PDO('mysql:host='.$this->db_hostname.';dbname='.$this->db_database, $this->db_username, $this->db_password);
        $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
      }
      catch(PDOException $ex)
      {
        die("Hubo un error. No se pudo conectar
              a la base de datos: ".$ex->getMessage());
      }


      return $this->conn;

    }

  }
?>
